import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

class WxHeader extends FStatelessWidget {
  const WxHeader({
    Key? key,
  }) : super(key: key);

  @override
  FWidget build(BuildContext context) {
    return FContainer(
      decoration: BoxDecoration(
        gradient: LinearGradient(
          colors: [
            Color.fromARGB(255, 247, 247, 247),
            Color.fromARGB(255, 241, 241, 241),
          ],
          begin: Alignment.topCenter,
          end: Alignment.bottomCenter,
        ),
      ),
      padding: EdgeInsets.only(top: 10, bottom: 10, left: 20),
      height: 80,
      child: FAlign(
        alignment: Alignment.bottomLeft,
        // child: FImage.asset(
        //   i18nBook.isCurrentChinese
        //       ? "assets/images/logo_blue_zh.png"
        //       : "assets/images/logo_blue_en.png",
        //   fit: BoxFit.fitHeight,
        // ),
        child: FRow(
          children: [
            FIcon(
              Icons.filter_drama,
              color: Color.fromARGB(255, 84, 144, 249),
              size: 50,
            ),
            FContainer(
              width: 10,
            ),
            FText(
              "云上妇幼",
              style: TextStyle(
                fontSize: 30,
                fontWeight: FontWeight.bold,
                color: Color.fromARGB(255, 84, 144, 249),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
